Bug 16683 - Help links to fields 59X in cataloguing form are broken
Summary: Help links to fields 59X in cataloguing form are broken
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-07 13:54 UTC by joachim.ganseman
Modified: 2020-02-14 13:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This fix updates the help links for 09x, 59x, and 69x fields in the basic and advanced MARC21 editor. The links now go to the correct Library of Congress documentation pages.
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 16683: Help links to fields 59X in cataloguing form are broken (1.99 KB, patch)
2019-11-21 16:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16683: Help links to fields 59X in cataloguing form are broken (2.04 KB, patch)
2020-01-17 18:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 16683: Help links to fields 59X in cataloguing form are broken (2.09 KB, patch)
2020-01-20 06:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16683: (18.11.x) Help links to fields 59X in cataloguing form are broken (2.38 KB, patch)
2020-02-14 13:01 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description joachim.ganseman 2016-06-07 13:54:59 UTC
In the cataloguing form, the help links (question mark) for fields 590, 591, 592 etc. are broken. Such links should not point to http://www.loc.gov/marc/bibliographic/bd590.html but to http://www.loc.gov/marc/bibliographic/bd59x.html
Comment 1 Owen Leonard 2019-11-21 16:34:13 UTC
Created attachment 95694 [details] [review]
Bug 16683: Help links to fields 59X in cataloguing form are broken

This patch adds more specificity to handling of MARC21 documentation
links in the basic MARC editor.

To test, apply the patch and make sure the "advancedMARCeditor" system
preference is set to "Display."

You may need to edit a bibliographic framework so that 09x, 59x, and 69x
tags will display in the editor.

Edit or create a bibliographic record using that framework. Next to each
tag label in the editor should be a "?" link. Clicking this link should
open a new window with the correct Library of Congress documentation
page.

Check the links for 09x, 59x, and 69x tags as well as others to confirm
they open the correct pages.
Comment 2 ByWater Sandboxes 2020-01-17 18:10:41 UTC
Created attachment 97549 [details] [review]
Bug 16683: Help links to fields 59X in cataloguing form are broken

This patch adds more specificity to handling of MARC21 documentation
links in the basic MARC editor.

To test, apply the patch and make sure the "advancedMARCeditor" system
preference is set to "Display."

You may need to edit a bibliographic framework so that 09x, 59x, and 69x
tags will display in the editor.

Edit or create a bibliographic record using that framework. Next to each
tag label in the editor should be a "?" link. Clicking this link should
open a new window with the correct Library of Congress documentation
page.

Check the links for 09x, 59x, and 69x tags as well as others to confirm
they open the correct pages.

Signed-off-by: Cori Lynn Arnold <carnold@dgiinc.com>
Comment 3 Cori Lynn Arnold 2020-01-17 18:11:20 UTC
Exactly as described.
Comment 4 Katrin Fischer 2020-01-20 06:46:23 UTC
Created attachment 97596 [details] [review]
Bug 16683: Help links to fields 59X in cataloguing form are broken

This patch adds more specificity to handling of MARC21 documentation
links in the basic MARC editor.

To test, apply the patch and make sure the "advancedMARCeditor" system
preference is set to "Display."

You may need to edit a bibliographic framework so that 09x, 59x, and 69x
tags will display in the editor.

Edit or create a bibliographic record using that framework. Next to each
tag label in the editor should be a "?" link. Clicking this link should
open a new window with the correct Library of Congress documentation
page.

Check the links for 09x, 59x, and 69x tags as well as others to confirm
they open the correct pages.

Signed-off-by: Cori Lynn Arnold <carnold@dgiinc.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-01-20 14:01:45 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Martin Renvoize 2020-01-20 14:04:08 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-02-08 00:15:46 UTC
QA tests all show OK, except for nonnumeric error. 
Pushing to 19.11.x for 19.11.03
Comment 8 Lucas Gass 2020-02-13 21:19:28 UTC
backported to 19.05.x for 19.05.08
Comment 9 Hayley Mapley 2020-02-14 03:30:03 UTC
Hi,

Could this please be rebased for 18.11.x?
Comment 10 Owen Leonard 2020-02-14 13:01:02 UTC
Created attachment 98940 [details] [review]
Bug 16683: (18.11.x) Help links to fields 59X in cataloguing form are broken

This patch adds more specificity to handling of MARC21 documentation
links in the basic MARC editor.

To test, apply the patch and make sure the "advancedMARCeditor" system
preference is set to "Display."

You may need to edit a bibliographic framework so that 09x, 59x, and 69x
tags will display in the editor.

Edit or create a bibliographic record using that framework. Next to each
tag label in the editor should be a "?" link. Clicking this link should
open a new window with the correct Library of Congress documentation
page.

Check the links for 09x, 59x, and 69x tags as well as others to confirm
they open the correct pages.